#
# Module manifest for module 'SharePointDsc'
#
# Generated by: Brian Farnhill
#
# Generated on: 17/03/2015
#

@{

# Script module or binary module file associated with this manifest.
# RootModule = ''

# Version number of this module.
ModuleVersion = '2.1.0.0'

# ID used to uniquely identify this module
GUID = '6c1176a0-4fac-4134-8ca2-3fa8a21a7b90'

# Author of this module
Author = 'Microsoft Corporation'

# Company or vendor of this module
CompanyName = 'Microsoft Corporation'

# Copyright statement for this module
Copyright = '(c) 2015-2018 Microsoft Corporation. All rights reserved.'

# Description of the functionality provided by this module
Description = 'This DSC module is used to deploy and configure SharePoint Server 2013 and 2016, and covers a wide range of areas including web apps, service apps and farm configuration.'

# Minimum version of the Windows PowerShell engine required by this module
PowerShellVersion = '4.0'

# Name of the Windows PowerShell host required by this module
# PowerShellHostName = ''

# Minimum version of the Windows PowerShell host required by this module
# PowerShellHostVersion = ''

# Minimum version of Microsoft .NET Framework required by this module
# DotNetFrameworkVersion = ''

# Minimum version of the common language runtime (CLR) required by this module
# CLRVersion = ''

# Processor architecture (None, X86, Amd64) required by this module
# ProcessorArchitecture = ''

# Modules that must be imported into the global environment prior to importing this module
# RequiredModules = @()

# Assemblies that must be loaded prior to importing this module
# RequiredAssemblies = @()

# Script files (.ps1) that are run in the caller's environment prior to importing this module.
# ScriptsToProcess = @()

# Type files (.ps1xml) to be loaded when importing this module
# TypesToProcess = @()

# Format files (.ps1xml) to be loaded when importing this module
# FormatsToProcess = @()

# Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
NestedModules = @("modules\SharePointDsc.Util\SharePointDsc.Util.psm1")

# Functions to export from this module
#FunctionsToExport = '*'

# Cmdlets to export from this module
CmdletsToExport = @("Invoke-SPDSCCommand",
                    "Get-SPDSCInstalledProductVersion",
                    "Get-SPDSCContentService",
                    "Rename-SPDSCParamValue",
                    "Add-SPDSCUserToLocalAdmin",
                    "Remove-SPDSCUserToLocalAdmin",
                    "Test-SPDSCObjectHasProperty",
                    "Test-SPDSCRunAsCredential",
                    "Test-SPDSCUserIsLocalAdmin",
                    "Test-SPDscParameterState",
                    "Test-SPDSCIsADUser",
                    "Test-SPDSCRunningAsFarmAccount",
                    "Set-SPDscObjectPropertyIfValuePresent",
                    "Get-SPDSCUserProfileSubTypeManager",
                    "Get-SPDscOSVersion",
                    "Get-SPDSCRegistryKey",
                    "Resolve-SPDscSecurityIdentifier",
                    "Get-SPDscFarmProductsInfo",
                    "Get-SPDscFarmVersionInfo",
                    "Convert-SPDscADGroupIDToName",
                    "Convert-SPDscADGroupNameToID")

# Variables to export from this module
#VariablesToExport = '*'

# Aliases to export from this module
#AliasesToExport = '*'

# List of all modules packaged with this module
# ModuleList = @()

# List of all files packaged with this module
# FileList = @()

# HelpInfo URI of this module
# HelpInfoURI = ''

# Default prefix for commands exported from this module. Override the default prefix using Import-Module -prefix.
# DefaultCommandPrefix = ''

# Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
PrivateData = @{

    PSData = @{

        # Tags applied to this module. These help with module discovery in online galleries.
        Tags = @('DesiredStateConfiguration', 'DSC', 'DSCResourceKit', 'DSCResource')

        # A URL to the license for this module.
        LicenseUri = 'https://github.com/PowerShell/SharePointDsc/blob/master/LICENSE'

        # A URL to the main website for this project.
        ProjectUri = 'https://github.com/PowerShell/SharePointDsc'

        # A URL to an icon representing this module.
        # IconUri = ''

        # ReleaseNotes of this module
        ReleaseNotes = "
      * General
        * Updated the integration tests for building the Azure environment
          * Works in any Azure environment.
          * Updated the SqlServer configuration to use SqlServerDsc version 10.0.0.0.
      * SPAlternateURL
        * Added the ability to manage the Central Administration AAMs
      * SPDiagnosticsProvider
        * Added the resource
      * SPFarm
        * Corrected issue where ServerRole parameter is returned in SP2013
      * SPInfoPathFormsServiceConfig
        * Added the resource
      * SPInstallPrereqs
        * Fixed two typos in to be installed Windows features for SharePoint 2016
      * SPSearchAutoritativePage
        * Added missing readme.md
      * SPSearchCrawlerImpactRule
        * Fixed issue where an error was thrown when retrieving Crawl Impact rules
        * Added missing readme.md
      * SPSearchCrawlMapping
        * Added missing readme.md
      * SPSecureStoreServiceApp
        * Fixed issue in Get-TargetResource to return AuditingEnabled property
      * SPSecurityTokenServiceConfig
        * Added the resource
      * SPServiceIdentity
        * Fixed issue with correctly retrieving the process identity for the
          Search instance
        * Added support for LocalSystem, LocalService and NetworkService
      * SPUserProfileProperty
        * Fixed issues with the User Profile properties for 2016
      * SPUserProfileServiceAppPermissions
        * Removed the mandatory requirement from secondary parameters
      * SPUserProfileSyncConnection
        * Fixed issues with the User Profile Sync connection for SharePoint
          2016
      * SPUserProfileSyncService
        * Added returning the FarmAccount to the Get method
      * SPWebAppAuthentication
        * Corrected issue where parameter validation wasn't performed correctly
      * SPWebApplicationExtension
        * Fixed issue with test always failing when Ensure was set to Absent
      * SPWorkManagementServiceApp
        * Added check for SharePoint 2016, since this functionality has been
          removed in SharePoint 2016
"

    } # End of PSData hashtable

} # End of PrivateData hashtable
}

